{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Connectez-vous afin de profiter de toutes les fonctionnalités du site."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Connexion"/>
	<meta property="og:description" content="Connectez-vous afin de profiter de toutes les fonctionnalités du site."/>
{% endblock %}

{% block title %}Connexion
{% endblock %}

{% block body %}
	<section class="container">
		<h1 class="title title--1 center">Connexion</h1>
		<h2 class="subtitle center">Aucun compte ? Clique
			<a href="{{ path('app_register') }}">ici</a>
			!</h2>

		<form method="post">
			{% if error %}
				{% include 'components/_alert.html.twig' with {
					'class': 'alert alert__danger',
					'content': error.messageKey|trans(error.messageData, 'security')
				} %}
			{% endif %}

			{% for alert in app.flashes('success') %}
				<div class="comments__validation">
					{% include 'components/_alert.html.twig' with {
						'class': 'alert alert__success',
						'content': alert
					} %}
				</div>
			{% endfor %}

			<div class="form__column">
				<div class="form__group form--full">
					<label for="inputEmail">Adresse email</label>
					<input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required>
				</div>
				<div class="form__group form--full">
					<label for="inputPassword">Mot de passe</label>
					<input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
				</div>
			</div>

			<div class="form__group">
				<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
			</div>


			<div class="form__submit">
				{% include 'components/_button.html.twig' with {
					'class': 'button button__primary',
					'type': 'submit',
					'path': null,
					'label': 'Se connecter'
				} %}
			</div>
		</form>

		<div class="forgotten-password login">
			<a href="{{ path('security_forgotten_password') }}">Mot de passe oublié ?</a>
		</div>
	</section>
{% endblock %}
